TAU_TIMECORRECT(1)

NAME
tau_timecorrect - Corrects and reorders the records of tau trace files.

SYNOPSIS

tau_timecorrect {trace input file} {EDF input file} {trace output file} {EDF input file}

DESCRIPTION

This program takes in tau trace files, reorders and corrects the times of these records and then outputs the records to new trace files. The time correction algorithm uses a logical clock algorithm with amortization. This is done by adjusting the times of events such that the product of an effect happens after the cause of that effect.

OPTIONS

trace input file

EDF input file

trace output file

EDF output file